vpx_rc_encodeframe_result Struct Reference

Frame coding result. More...

`#include <vpx_ext_ratectrl.h>`

## Data Fields

int64_t | sse
int64_t | bit_count
int64_t | pixel_count
int | actual_encoding_qindex

## Detailed Description

Frame coding result.

The encoder will send the result to the external rate control model through update_encodeframe_result() defined in vpx_rc_funcs_t.

## Field Documentation

## sse

int64_t vpx_rc_encodeframe_result::sse

sum of squared error of the reconstructed frame

## bit_count

int64_t vpx_rc_encodeframe_result::bit_count

number of bits spent on coding the frame

## pixel_count

int64_t vpx_rc_encodeframe_result::pixel_count

number of pixels in YUV planes of the frame

## actual_encoding_qindex

int vpx_rc_encodeframe_result::actual_encoding_qindex

the actual qindex used to encode the frame

The documentation for this struct was generated from the following file:

- vpx/vpx_ext_ratectrl.h